# MatUseScaledForm

For matrix storage formats that scale the matrix (for example MPIRowBS matrices are diagonally scaled on assembly) indicates matrix operations (MatMult() etc) are applied using the scaled matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatUseScaledForm(Mat mat,PetscTruth scaled)

Collective on Mat

### Input Parameter

| mat | - the matrix
| scaled | - PETSC_TRUE for applying the scaled, PETSC_FALSE for applying the original matrix

### Notes

For scaled matrix formats, applying the original, unscaled matrix will be slightly more expensive

### See Also

MatScaleSystem(), MatUnScaleSystem()

Level:Developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages